# Enum SaxMessager.Level

java.lang.Object
java.lang.Enum<SaxMessager.Level>
uk.ac.starlink.ttools.votlint.SaxMessager.Level

All Implemented Interfaces:
  `Serializable, Comparable<SaxMessager.Level>, java.lang.constant.Constable`

Enclosing interface:
  `SaxMessager`

public static enum SaxMessager.Level extends Enum<SaxMessager.Level>
Defines the levels of severity at which messages can be reported.

Since:
  29 Nov 2017
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`INFO`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`static SaxMessager.Level`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SaxMessager.Level[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INFO

public static final SaxMessager.Level INFO

### WARNING

public static final SaxMessager.Level WARNING

### ERROR

public static final SaxMessager.Level ERROR

## Method Details

### values

public static SaxMessager.Level[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SaxMessager.Level valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null